Commerce
Get a collection
One collection (a category on WooCommerce) with its image, sort order and product count. List its products with GET /v1/commerce/products?collectionId=. Needs collections.read.
PlatformsShopify
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.
In: header
Path Parameters
collectionId*string
Platform-native collection id.
Query Parameters
accountId*string
Connected store SocialAccount id.
Response Body
application/json
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.commerce.getCommerceCollection({ path: { collectionId: 'collection_abc123', }, query: { accountId: 'account_abc123', },});console.log(data);{ "collection": { "id": "string", "accountId": "string", "platform": "shopify", "title": "string", "handle": "string", "descriptionHtml": "string", "image": { "id": "string", "url": "string", "altText": "string" }, "sortOrder": "manual", "productCount": 0, "seo": { "title": "string", "description": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "platformData": {} }}Was this page helpful?
List collections
Lists the store's product collections. Cursor-paginated like products. List a collection's products with `GET /v1/commerce/products?collectionId=...`.
Create a collection
Creates a collection, optionally with hand-picked products. On Shopify the collection starts unpublished from the online store; publish it from the Shopify admin.